Get strategy detail
curl --request GET \
--url https://api.itoflow.ai/strategies/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/strategies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/strategies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"strategy": {
"allocationGuidance": {
"pattern": "market_based",
"asset_classes": [
"<string>"
],
"created_at": "<string>",
"is_strict": true,
"markets": [
"<string>"
],
"notes": "<string>",
"sectors": [
"<string>"
],
"symbols_avoid": [
"<string>"
],
"symbols_include": [
"<string>"
]
},
"cloneOfStrategyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"constraints": {
"allowed_exchanges": [
"<string>"
],
"blocked_symbols": [
"<string>"
],
"is_strict": true,
"max_drawdown_pct": 123,
"max_position_pct": 123,
"max_positions": 123,
"min_cash_pct": 123,
"min_position_pct": 123,
"stop_loss_pct": 123,
"stop_on_drawdown": true
},
"createdAt": "<string>",
"createdBy": "<string>",
"currentVersionNumber": 123,
"description": "<string>",
"executionStatus": "<string>",
"executionTriggers": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initialCapital": "<string>",
"isActive": true,
"lastExecutionAt": "<string>",
"mandatePending": true,
"name": "<string>",
"owned": true,
"portfolioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promptFile": "<string>",
"rules": {
"lookback_days": 123,
"model_key": "luna",
"rebalance_frequency": "daily",
"rebalance_time_utc": "<string>"
},
"strategyContent": "<string>",
"triggerReferenceState": {
"portfolioValueUsd": 123,
"positionPrices": {},
"positionWeights": {},
"recordedAt": "<string>"
},
"universe": [
"<string>"
],
"updatedAt": "<string>",
"mandateVersion": {
"change_description": "<string>",
"effective_from": "<string>",
"effective_to": "<string>",
"strategy_content": "<string>",
"version_number": 123
},
"versionHistory": [
{
"change_description": "<string>",
"effective_from": "<string>",
"effective_to": "<string>",
"version_number": 123
}
]
}
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Strategies
Get strategy detail
Returns a single strategy with full detail. User must own the strategy or it must be an Itoflow-created strategy.
Operation ID: get__strategies_id_.
GET
https://api.itoflow.ai
/
strategies
/
{id}
Get strategy detail
curl --request GET \
--url https://api.itoflow.ai/strategies/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/strategies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/strategies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"strategy": {
"allocationGuidance": {
"pattern": "market_based",
"asset_classes": [
"<string>"
],
"created_at": "<string>",
"is_strict": true,
"markets": [
"<string>"
],
"notes": "<string>",
"sectors": [
"<string>"
],
"symbols_avoid": [
"<string>"
],
"symbols_include": [
"<string>"
]
},
"cloneOfStrategyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"constraints": {
"allowed_exchanges": [
"<string>"
],
"blocked_symbols": [
"<string>"
],
"is_strict": true,
"max_drawdown_pct": 123,
"max_position_pct": 123,
"max_positions": 123,
"min_cash_pct": 123,
"min_position_pct": 123,
"stop_loss_pct": 123,
"stop_on_drawdown": true
},
"createdAt": "<string>",
"createdBy": "<string>",
"currentVersionNumber": 123,
"description": "<string>",
"executionStatus": "<string>",
"executionTriggers": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initialCapital": "<string>",
"isActive": true,
"lastExecutionAt": "<string>",
"mandatePending": true,
"name": "<string>",
"owned": true,
"portfolioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promptFile": "<string>",
"rules": {
"lookback_days": 123,
"model_key": "luna",
"rebalance_frequency": "daily",
"rebalance_time_utc": "<string>"
},
"strategyContent": "<string>",
"triggerReferenceState": {
"portfolioValueUsd": 123,
"positionPrices": {},
"positionWeights": {},
"recordedAt": "<string>"
},
"universe": [
"<string>"
],
"updatedAt": "<string>",
"mandateVersion": {
"change_description": "<string>",
"effective_from": "<string>",
"effective_to": "<string>",
"strategy_content": "<string>",
"version_number": 123
},
"versionHistory": [
{
"change_description": "<string>",
"effective_from": "<string>",
"effective_to": "<string>",
"version_number": 123
}
]
}
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}